HostingDelivery
Get TraceMail dashboard
POST
/api/delivery/tracemail/dashboardReturns dashboard metrics, top accounts and alert groups for TraceMail.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
account?string
Delivery account id to filter dashboard data.
domain?string
Delivery domain name to filter dashboard data.
timezone?string
Timezone used to aggregate dashboard data.
daily_activity?object
Fields: object
start_date?string
Daily activity start date.
end_date?string
Daily activity end date.
top_accounts?object
Fields: object
start_date?string
Top accounts start date.
end_date?string
Top accounts end date.
limit?integer
Top accounts limit.
Format
int32top5?object
Fields: object
start_date?string
Top accounts start date.
end_date?string
Top accounts end date.
limit?integer
Top accounts limit.
Format
int32overview?object
Fields: object
start_date?string
Overview start date.
end_date?string
Overview end date.
customer_code?string
Customer code for admin dashboard queries.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/tracemail/dashboard" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{
"resources": [
{
"timezone": "string",
"top_accounts_by_delivery_account": "string",
"top5_by_delivery_account": "string",
"daily_activity": "string",
"status_groups": "string",
"overview": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}